# Draw
TKDCAF
DDocStd

# DDocStd Class Reference

This package provides Draw services to test CAF
standard documents (see TDocStd package)
It provides :
* Modification registration and Update management.
* External references mechanism
* UNDO/REDO
* Document Creation, Save and Restore
.

`#include <DDocStd.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | Find (Handle(TDocStd_Application)&Appli, const Standard_Boolean Complain=Standard_True)
static Standard_EXPORT Standard_Boolean | GetDocument (Standard_CString &Name, Handle(TDocStd_Document)&Doc, const Standard_Boolean Complain=Standard_True)
static Standard_EXPORT Standard_Boolean | Find (const Handle(TDocStd_Document)&Document, const Standard_CString Entry, TDF_Label &Label, const Standard_Boolean Complain=Standard_True)
static Standard_EXPORT Standard_Boolean | Find (const Handle(TDocStd_Document)&Document, const Standard_CString Entry, const Standard_GUID &ID, Handle(TDF_Attribute)&A, const Standard_Boolean Complain=Standard_True)
static Standard_EXPORT Draw_Interpretor & | ReturnLabel (Draw_Interpretor &theCommands, const TDF_Label &L)
static Standard_EXPORT void | AllCommands (Draw_Interpretor &theCommands)
static Standard_EXPORT void | ApplicationCommands (Draw_Interpretor &theCommands)
| NewDocument, Open, SaveAs, Save .
static Standard_EXPORT void | DocumentCommands (Draw_Interpretor &theCommands)
| Undo, Redo, SetModified, Propagate .
static Standard_EXPORT void | ToolsCommands (Draw_Interpretor &theCommands)
| Modified, Update .
static Standard_EXPORT void | MTMCommands (Draw_Interpretor &theCommands)
| Create, Add, Remove, Open, Commit, Undo, Redo, SetNestedMode .

## Member Function Documentation

static Standard_EXPORT void DDocStd::AllCommands | ( | Draw_Interpretor & | theCommands | ) | `[static]`

static Standard_EXPORT void DDocStd::ApplicationCommands | ( | Draw_Interpretor & | theCommands | ) | `[static]`

static Standard_EXPORT void DDocStd::DocumentCommands | ( | Draw_Interpretor & | theCommands | ) | `[static]`

static Standard_EXPORT Standard_Boolean DDocStd::Find | ( | const Handle(TDocStd_Document)& | Document,
|  | const Standard_CString | Entry,
|  | const Standard_GUID & | ID,
|  | Handle(TDF_Attribute)& | A,
|  | const Standard_Boolean | Complain = `Standard_True`
| ) | `[static]`

static Standard_EXPORT Standard_Boolean DDocStd::Find | ( | const Handle(TDocStd_Document)& | Document,
|  | const Standard_CString | Entry,
|  | TDF_Label & | Label,
|  | const Standard_Boolean | Complain = `Standard_True`
| ) | `[static]`

static Standard_EXPORT Standard_Boolean DDocStd::Find | ( | Handle(TDocStd_Application)& | Appli,
|  | const Standard_Boolean | Complain = `Standard_True`
| ) | `[static]`

static Standard_EXPORT Standard_Boolean DDocStd::GetDocument | ( | Standard_CString & | Name,
|  | Handle(TDocStd_Document)& | Doc,
|  | const Standard_Boolean | Complain = `Standard_True`
| ) | `[static]`

static Standard_EXPORT void DDocStd::MTMCommands | ( | Draw_Interpretor & | theCommands | ) | `[static]`

void DDocStd::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DDocStd::operator new | ( | size_t | size | ) | `[inline]`

void* DDocStd::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Draw_Interpretor& DDocStd::ReturnLabel | ( | Draw_Interpretor & | theCommands,
|  | const TDF_Label & | L
| ) | `[static]`

static Standard_EXPORT void DDocStd::ToolsCommands | ( | Draw_Interpretor & | theCommands | ) | `[static]`

The documentation for this class was generated from the following file:

- DDocStd.hxx